CREATE TABLE gtg_ts_aseroles (
    ETL_SEQUENCE_ID          NUMBER(19, 0) ,
    ETL_VERSION_NUMBER       NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER    NUMBER(18, 0) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    ASEROLEB_CB              VARCHAR2(256) ,
    ASEROLEB_CD              TIMESTAMP(6)  ,
    ASEROLEB_LUB             VARCHAR2(256) ,
    ASEROLEB_LUD             TIMESTAMP(6)  ,
    ASEROLEROLEMBR_CB        VARCHAR2(256) ,
    ASEROLEROLEMBR_CD        TIMESTAMP(6)  ,
    ASEROLEROLEMBR_LUB       VARCHAR2(256) ,
    ASEROLEROLEMBR_LUD       TIMESTAMP(6)  ,
    ASEROLETL_CB             VARCHAR2(256) ,
    ASEROLETL_CD             TIMESTAMP(6)  ,
    ASEROLETL_LUB            VARCHAR2(256) ,
    ASEROLETL_LUD            TIMESTAMP(6)  ,
    CHILD_ROLE_ID            NUMBER        ,
    CODE                     VARCHAR2(4000),
    DESCRIPTION              VARCHAR2(4000),
    EFFDTEND                 DATE          ,
    EFFDTSTRT                DATE          ,
    IS_SEEDED                VARCHAR2(4)   ,
    LANGUAGECOLUMN           VARCHAR2(16)  ,
    MEMBERSHIP_ID            NUMBER        ,
    MEMSHIPEFFDTEND          DATE          ,
    MEMSHIPEFFDTSTRT         DATE          ,
    MEMSHIPPARENTRLID        NUMBER        ,
    RLID                     NUMBER        ,
    ROLE_ID                  NUMBER        ,
    ROLE_NAME                VARCHAR2(4000),
    ROLE_TYPE_CODE           VARCHAR2(4000),
    ETL_SEQUENCE_ID          NUMBER(19, 0) ,
    ETL_VERSION_NUMBER       NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER    NUMBER(18, 0) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    ASEROLEB_CB              VARCHAR2(256) ,
    ASEROLEB_CD              TIMESTAMP(6)  ,
    ASEROLEB_LUB             VARCHAR2(256) ,
    ASEROLEB_LUD             TIMESTAMP(6)  ,
    ASEROLETL_CB             VARCHAR2(256) ,
    ASEROLETL_CD             TIMESTAMP(6)  ,
    ASEROLETL_LUB            VARCHAR2(256) ,
    ASEROLETL_LUD            TIMESTAMP(6)  ,
    CODE                     VARCHAR2(4000),
    DESCRIPTION              VARCHAR2(4000),
    EFFDTEND                 DATE          ,
    EFFDTSTRT                DATE          ,
    IS_SEEDED                VARCHAR2(4)   ,
    LANGUAGECOLUMN           VARCHAR2(16)  ,
    LNG                      VARCHAR2(16)  ,
    RLID                     NUMBER        ,
    ROLE_ID                  NUMBER        ,
    ROLE_NAME                VARCHAR2(4000),
    ROLE_TYPE_CODE           VARCHAR2(4000),
    ASEROLEROLEMBR_CB        VARCHAR2(256) ,
    ASEROLEROLEMBR_CD        TIMESTAMP(6)  ,
    ASEROLEROLEMBR_LUB       VARCHAR2(256) ,
    ASEROLEROLEMBR_LUD       TIMESTAMP(6)  ,
    CHILD_ROLE_ID            NUMBER        ,
    MEMBERSHIP_ID            NUMBER        ,
    MEMSHIPEFFDTEND          DATE          ,
    MEMSHIPEFFDTSTRT         DATE          ,
    MEMSHIPPARENTRLID        NUMBER        ,
    CONSTRAINT pk_gtg_ts_aseroles PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
